curl --request POST \
--url https://pro-api.nikiwa.com/api/tools/get_wallet_transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "<string>",
"network": "<string>",
"from_date": "<string>",
"to_date": "<string>",
"page": 1,
"records_per_page": 20
}
'import requests
url = "https://pro-api.nikiwa.com/api/tools/get_wallet_transactions"
payload = {
"address": "<string>",
"network": "<string>",
"from_date": "<string>",
"to_date": "<string>",
"page": 1,
"records_per_page": 20
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '<string>',
network: '<string>',
from_date: '<string>',
to_date: '<string>',
page: 1,
records_per_page: 20
})
};
fetch('https://pro-api.nikiwa.com/api/tools/get_wallet_transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "transactions",
"data": [
{
"direction": "in",
"amount": 100,
"token": "EXM",
"peer": {
"address": "0x2222222222222222222222222222222222222222",
"label": null,
"tags": null
},
"timestamp": "2026-01-31T12:00:00Z",
"tx_hash": "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"chain": "ethereum"
}
],
"summary": {
"tx_count": 1,
"unique_tokens": 1,
"labeled_counterparties": 0
},
"metadata": {
"address": "0x1111111111111111111111111111111111111111",
"chain": "ethereum"
},
"pagination": {
"page": 1,
"per_page": 20,
"returned_count": 1,
"has_more_data": false,
"is_complete": true,
"network": "ethereum"
}
}get_wallet_transactions
Recent transactions for a wallet from chain-native sources. Supports paging.
Reading the result
The response example uses made-up values and shows selected fields. Fields vary by network and available data.-
datacontains transaction rows.directionis relative to the queried wallet;amountis the absolute token amount. -
peeridentifies the counterparty.tx_hashandchainidentify the on-chain transaction; a transaction can include several transfers. -
summarycovers the returned rows. Checkpaginationbefore treating the result as complete. Row details vary by network and available data.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Wallet address to analyze on the selected network.
Network to query, for example ethereum. See Supported Networks for coverage.
Start of the requested date range, in YYYY-MM-DD format. Omit to use the default date range.
End of the requested date range, in YYYY-MM-DD format. Omit to use the default date range.
Page number to retrieve, starting at 1.
Number of records to request per page.
Response
Recent transactions for a wallet from chain-native sources. Supports paging. Fields vary by network and available data. Check for status: no_data, status: error, or an error field even when HTTP status is 200. See Errors & status.
Response fields depend on the network and available data. The example shows selected fields; see Reading the result for details.
Was this page helpful?